Subject: Re: Solaris sed

From: Collin Funk <[email-masked]>
Date: Fri, 13 Jun 2025 13:30:57 -0700

Jean-Noël AVILA <[email-masked]> writes:

> Would it be possible to set up some kind of CI to check for compatibility with 
> such systems. This is the second time I introduced regressions without even 
> knowing it, and it would be really great to catch them before borking a 
> release process.

I'm sure that Solaris packagers are used to patching stuff like this. I
wouldn't feel guilty about it. It is difficult to remember all these
portability quirks.

With GitHub actions you can add Oracle Solaris and OmniOS (based on
illumos, which was based on OpenSolaris) using vmactions [1]. That might
help catch some stuff.

In this case, the build still works even with the broken sed commands.
Not sure if the tests would have caught it though.

Collin

[1] https://github.com/vmactions